FLOW_INPUT_DATASETS = ["shipping",
                       "demand_nodes",
                       "supply_nodes",
                       "supply",
                       "product_procurement_baseline",
                       "product_allocation_baseline",
                       "demand_forecast"
                      ] # All datasets that are flow inputs
FLOW_INPUT_DATASETS_TO_PRESERVE = [] # All datasets that are flow inputs but should not have their connection changed (ex: editable datasets or uploaded files)

# 'FALLBACK_CONNECTION_DATASETS' are datasets that are python processes outputs and that needs to be written in a cloud provicer cloud storage. 
# Some of them will then need to be synchronized in the main SQL connection, leveraging 'FALLBACK_CONNECTION_DATASETS_DOWNSTREAM_RECIPES': 
FALLBACK_CONNECTION_DATASETS = ["itemset_outputs",
                                "sku_procurement_outputs",
                                "objective_value",
                                "sku_warehouse_quantities",
                                "product_allocation_not_grouped",
                                "benchmark_improvement_rate"
                               ]

FALLBACK_CONNECTION_DATASETS_DOWNSTREAM_RECIPES = {
    "itemset_outputs": ["compute_product_allocation_not_grouped_dataset", "compute_product_set_allocation"],
    "sku_procurement_outputs": ["compute_product_procurement_list"],
    "objective_value": ["compute_benchmark_improvement_rate"],
    "sku_warehouse_quantities": ["compute_product_warehouse_quantities_left"],
    "product_allocation_not_grouped": ["compute_product_allocation"],
    "benchmark_improvement_rate": []
}


DATASET_SCHEMA = {
  "demand_file": {
    "col_demand_demand_node_id": "demand_node_id",
    "col_demand_itemset_id": "itemset_id",
    "col_demand_demand_mean": "forecasted_demand"
  },
  "itemset_file": {
    "col_itemsets_itemset_id": "itemset_id",
    "col_itemsets_sku_id": "sku_id"
  },
  "shipping_file": {
    "col_shipping_source_node_id": "source_node_id",
    "col_shipping_destination_node_id": "destination_node_id",
    "col_shipping_cost": "shipping_cost"
  },
  "capacity_file": {
    "col_capacity_supply_node_id": "supply_node_id",
    "col_capacity_capacity": "capacity"
  },
  "supply_file": {
    "col_supply_supply_node_id": "supply_node_id",
    "col_supply_sku_id": "sku_id",
    "col_supply_cost": "sku_unit_cost",
    "col_supply_current_quantity": "sku_current_quantity"
  },
  "output_column": {
    "quantity": "product_stock_quantity",
    "procurement_quantity": "product_stock_procurement_quantity",
    "unused_quantity": "excess_product_stock_in_warehouses"
  }
}