## Overview

Inventory allocation optimization refers to the process of determining the optimal level of inventories on-hand and their distribution across warehouses so that the costs of storing with the costs of stockouts are well balanced. Moreover, it represents one of the key stages in the supply chain and inventory management lifecycle. The process of making efficient decisions about inventory levels typically involves analyzing a variety of factors, including demand forecasting, procurement, shipping costs, etc. Therefore, overstocking can result in higher storage costs, higher levels of wastage, and lower cash flow. On the other hand, the company's reputation may be harmed and sales may be lost as a result of stockouts, which can happen when there is insufficient inventory on-hand.

Regarding everything said, the main objective of the solution is to provide an approach for optimizing costs in a process of inventory allocation by utilizing physical and business constraints of an observed business context.

## Business Context

In the specific context of this solution, inventory should be allocated at warehouses, that are distributed across the same observed geographical region as the stores. Warehouses have limited capacity with the existing level of on-hand inventory. Furthermore, we assume that demand forecast estimations on the product-store level are already available and can be used as the input of quantities of future inventory orders. Finally, the cost of shipping and procurement per unit of product is available and it may vary across warehouses. 
 
Therefore, to define business context, the inventory manager wants to develop a plan for allocating inventory, in a way that order splits are avoided if possible, while costs of procurement of additional inventories and their shipping are minimized. 
  
## Value

The project is intended to support central inventory managers' decision-making process by providing the following opportunities:
- Plan inventory distribution across warehouses, with optimization of procurement and shipping costs
- Comparison with a baseline or historical inventory allocation plan
- Visualize the utilization of warehouses, level of stocks of products, distribution of costs over stores and warehouses, distribution of procurement costs over products and warehouses
- Use as an input value for downstream decision-supporting tools, such as inventory replenishment

## About Grid Dynamics

The Inventory Allocation Optimization Dataiku solution is developed by Grid Dynamics in cooperation with Dataiku. Grid Dynamics is a leading provider of technology consulting, agile co-creation, data science, and supply chain optimization services. Get in touch with our supply chain and data science experts at https://www.griddynamics.com/contact


