Data embedded in this Business Solution has been artificially generated to provide a suitable demo. Data generation was partially random in a sense that shipping costs reflect the distances between warehouses and stores in different states, or for example, generated on-hand inventory doesn't overfill the capacity of the warehouse. The below image is an example of generating warehouses and stores based on the location of three states in the USA.

![states](pyt6KUwy60xB)

The business solution has five mandatory datasets and two optional datasets to use the full functionality of the solution. The mandatory dataset is necessary for the optimization to work, while optional datasets are used as a baseline to make a benchmark with a newly optimized solution.


The first two datasets are related to warehouse/supply node and store/demand_nodes. Dataset [supply_nodes](dataset:supply_nodes) contains a list of warehouses with their capacities which indicate how many products can be stored there. The second dataset, [demand_nodes](dataset:demand_nodes), just contains the list of stores/demand nodes, meaning names of locations to which the products will be shipped.

The dataset related to the current state of on-hand inventory is called [supply](dataset:supply). Here the dataset contains information about the on-hand inventory of products stored in a warehouse. Also, the cost of each product is provided in case additional procurement is needed.

Shipping costs which show the cost of shipping per product from a warehouse to a store, are in [shipping](dataset:shipping). 

Lastly, the demand for products for each store is indicated in the [demand_forecast](dataset:demand_forecast). This dataset contains pairs of stores and products with required demand information, which indicates how many products are needed to be shipped to the desired store. This dataset is schema compatible with results from another Dataiku solution called [Demand Forecast](https://knowledge.dataiku.com/latest/kb/business-solutions/demand-forecast/demand-forecast.html). Although not mandatory, it is possible to use the upstream results from _Demand Forecast_ solution as an input to _Inventory Allocation Optimization_ solution. _Demand Forecast_ would provide forecasted demand information for each store, and after, _Inventory Allocation Optimization_ would create a cost-effective logistics plan to satisfy the predicted demand.

Optional datasets [product_procurement_baseline](dataset:product_procurement_baseline) and [product_allocation_baseline](dataset:product_allocation_baseline) for the purpose of benchmarking contain information about already existing logistics of procurement and shipping. The user of this Business Solution can import their "old" dataset to make a benchmark with the new optimized solution results. The allocation dataset contains specific shipping information on how many products should be shipped from a warehouse to a store. The procurement dataset contains information about how many of which products should be procured in a warehouse.

 **NOTE: For more detailed information about the data schema, see  _Data source requirements_ in [Requirements](article:9).** 


