The  _Results and optimization settings _ app section enables you to configure a few parameters in the optimization settings, run the app, and view the results.

![Results and optimization settings](XGd2pl2Iftki)



## MIP gap

The MIP gap is a parameter in optimization and can be decisive in the precision of the solution and optimization ETA. See [What is MIP](article:19) for more information.


## Optimization options

If you are using product sets instead of single products in the [forecasted_demand](dataset:forecasted_demand) dataset, then enable this option.

 _Example:_
  - _product sets: '[FOODS\_232, HOUSEHOLD\_323]'_
  - _product: 'FOODS_232'_ 
  
  
  
  ## Run Flow
  
  By clicking the run button, you'll be running the flow according to the options set in the app.  **Please wait for it to finish before viewing the results.** 
  
  
 ## Dashboards
 
 After the run is finished you can access the "_Results Dashboard_ " and " _Benchmark Dashboard_ " if you have uploaded baseline datasets. For more information see article [Dasboards](article:6).
 
 
 ## Results datasets
 
 The Solution provides, two result datasets:
 
 - [product_allocation](dataset:product_allocation) provides a list of quantities needed for specific products to be shipped from a warehouse/supply_node to the store/demand_node.
 
     -  _warehouse_id_  is a supply_node or a warehouse from which the product is shipped
     -  _store_id_  is a demand_node or a store to which the product is shipped
     -  _product_id_  is the name of the product
     -  _product_stock_quantity_  is the quantity of the product
     
     ![product_allocation](ATdiD6VBWWnT)
 
 - [product_procurement_list](dataset:product_procurement_list) provides a list of certain quantities needed to procure in a warehouse/supply_node.
 
   - _warehouse_id_ is a supply_node or a warehouse to which the product will be procured
   - _product_id_ is a product that needs to be procured
   - _product_stock_procurement_quantity_ is a needed quantity of the product needed to be procured
 
     ![product_procurement](9HPY3AbPk7X9)
 


